CREATE TABLE NNPARAMETER (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNPARAMETER_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNPARAMETER(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('NUM', 'Number', 'Number', 'Y');

INSERT INTO NNPARAMETER(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('STR', 'String', 'String', 'Y');

INSERT INTO NNPARAMETER(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('DAT', 'Date', 'Date', 'Y');


CREATE TABLE QUERY_PARAMETER (
	ID_QUERY_PARAMETER NUMBER NOT NULL,
	ID_QUERY NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR) NOT NULL,
	TYPE VARCHAR2(3 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT QUERY_PARAMETER_ID_QUERY_FK FOREIGN KEY (ID_QUERY) REFERENCES QUERY(ID_QUERY),
	CONSTRAINT ID_QUERY_PARAMETER_PK PRIMARY KEY (ID_QUERY_PARAMETER)
);

CREATE SEQUENCE QUERY_PARAMETER_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(474, SYSDATE, '5.5', 394, 'Parametri poizvedb');