CREATE TABLE NNWEBRESOURCE_TYPE (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNWEBRESOURCE_TYPE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNWEBRESOURCE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('IMG', 'Image', 'Image', 'Y');

ALTER TABLE WEB_RESOURCE
ADD TYPE VARCHAR2(3 CHAR);

CREATE OR REPLACE VIEW V_WEB_RESOURCE AS (
SELECT W.ID_WEB_RESOURCE, W.ID, W.NAME, W.URL, W.TYPE, W.ACT, W.DATE_CREATED, W.USER_CREATED, W.DATE_CHANGED, W.USER_CHANGED, 
N.OPIS AS TYPE_OPIS, N.INTERNI_OPIS AS TYPE_INTERNI_OPIS
FROM WEB_RESOURCE W
LEFT OUTER JOIN NNWEBRESOURCE_TYPE N ON N.SIFRA = W.TYPE
);

UPDATE WEB_RESOURCE
SET TYPE = 'IMG'
WHERE TYPE IS NULL;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(569, SYSDATE, '5.5', 489, 'Tip web resourca');