CREATE OR REPLACE VIEW V_ALARM_RECEIVE AS (
	SELECT ARD.ID_ALARM_RECIEVE_DET AS ID, ARD.ID_ALARM_RECIEVE_DET, ARD.ID_ALARM_RECIEVE, ARD.USER_RECIEVE, ARD.DATE_RECIEVE, AR.ID_ALARM, AR.RECIEVE_TYPE, AR.RECIEVE_DATA, 
  AD.SFALARM, AD.SFMODULE, AD.DATUM_KREIRANJA, AD.USER_KREIRANJA, AD.DATUM_ZAPADLOST, AD.SFTRIGGER, AD.USER_MESSAGE, AD.ASOCIATED_TABLE,
  AD.ASOCIATED_DATA, AD.STATUS, AD.DATA_CHECK, K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.ID_MEMBER AS KUPCI_ID_MEMBER
	FROM ALARM_RECIEVE_DETAIL ARD
	INNER JOIN ALARM_RECIEVE AR ON AR.ID_ALARM_RECIEVE = ARD.ID_ALARM_RECIEVE
  INNER JOIN ALARM_DATA AD ON AD.ID_ALARM = AR.ID_ALARM
  LEFT OUTER JOIN KUPCI K ON K.ID = AD.ASOCIATED_DATA AND AD.ASOCIATED_TABLE = 'KUPCI'
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (618, SYSDATE, '5.5', 538, 'VAlarmReceive');