ALTER TABLE EMAILS
MODIFY ZADEVA VARCHAR2(500 CHAR);

ALTER TABLE EMAILS
ADD MESSAGE_ID VARCHAR2(250 CHAR);

ALTER TABLE EMAILS
ADD DATUM_PREJEMA DATE;

ALTER TABLE EMAILS
ADD PREBRANO VARCHAR2(1 CHAR);

INSERT INTO NNEMAIL_STATUS(SIFRA, OPIS, INTERNI_OPIS, AKT) 
VALUES('2', 'Received', 'Received', 'Y');

CREATE OR REPLACE VIEW V_EMAIL
AS (
SELECT E.ID_EMAIL, E.DATUM_KREIRANJA, E.USER_KREIRANJA, E.ZADEVA, E.POSILJATELJ, E.STATUS, E.DATUM_POSILJANJA, E.AVTOMATSKO_KREIRANJE, E.PREJEMNIK_CC, 
E.PREJEMNIK_BCC, E.PREJEMNIK, E.TEKST, E.MESSAGE_ID, E.DATUM_PREJEMA, E.PREBRANO, K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM EMAILS E
LEFT OUTER JOIN (SELECT ID_KUPCA, ID_EMAIL, NPISMO, RANK() OVER (PARTITION BY ID_EMAIL ORDER BY ID_OPOMINI ASC) RNK FROM OPOMINI) O ON (O.ID_EMAIL = E.ID_EMAIL AND O.RNK = 1 AND O.NPISMO = 'E')
LEFT OUTER JOIN KUPCI K ON O.ID_KUPCA = K.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (716, SYSDATE, '5.5', 636, 'Emails');