DROP INDEX IX_SALDKONT_FISC1;

CREATE UNIQUE INDEX IX_SALDKONT_FISC1 ON SALDKONT_FISC (ID_SALDKONT);

UPDATE NNATRIBUTI SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;

CREATE TABLE NNMEMBSTATUS (
SIFRA VARCHAR2(2 CHAR) NOT NULL,
OPIS VARCHAR2(50 CHAR) NOT NULL,
INTERNI_OPIS VARCHAR2(50 CHAR),
CONSTRAINT NNMEMBSTATUS PRIMARY KEY(SIFRA)
);

INSERT INTO NNMEMBSTATUS (SIFRA, OPIS, INTERNI_OPIS) VALUES ('01', 'Waiting', 'Waiting');
INSERT INTO NNMEMBSTATUS (SIFRA, OPIS, INTERNI_OPIS) VALUES ('02', 'Active', 'Active');
INSERT INTO NNMEMBSTATUS (SIFRA, OPIS, INTERNI_OPIS) VALUES ('03', 'Approved', 'Approved');
INSERT INTO NNMEMBSTATUS (SIFRA, OPIS, INTERNI_OPIS) VALUES ('04', 'Rejected', 'Rejected');
INSERT INTO NNMEMBSTATUS (SIFRA, OPIS, INTERNI_OPIS) VALUES ('05', 'Terminated', 'Terminated');
INSERT INTO NNMEMBSTATUS (SIFRA, OPIS, INTERNI_OPIS) VALUES ('06', 'Absent', 'Absent');
INSERT INTO NNMEMBSTATUS (SIFRA, OPIS, INTERNI_OPIS) VALUES ('07', 'Suspended', 'Suspended');
INSERT INTO NNMEMBSTATUS (SIFRA, OPIS, INTERNI_OPIS) VALUES ('08', 'Resigned', 'Resigned');

ALTER TABLE APPLICATION_FORM 
MODIFY STATUS VARCHAR2(2 CHAR);

ALTER TABLE NNVRSKUP
MODIFY OPIS VARCHAR2(40 CHAR);

ALTER TABLE SIFRANT
MODIFY ID_STRING VARCHAR2(50 CHAR);

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNOBJEKT', 'CENTER_POZICIJA_PLOVILA', 'Y', 'Boat center position', 'YES', 'N', 'YES');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNOBJEKT', 'CENTER_POZICIJA_PLOVILA', 'N', 'Boat center position', 'NO', 'N', 'NO');

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(443, SYSDATE, '5.5', 363, 'Membership');